/**
 * Copyright 2008 Peach Jean Solutions
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xj4.spi;

import org.xj4.XJ4TestClass;

import java.util.List;

/**
 * A extension point that allows validating a test class as a whole.
 *
 * @author Jared Bunting
 */
public interface TestClassValidator {

  /**
   * Should validate the test class, and if there are errors, add them to the error list.
   * @param testClass the class to validate
   * @param errors the error list
   */
  public void validate(XJ4TestClass testClass, List<Throwable> errors);
}
